COrderingBase.h File Reference
`#include <polybori/pbori_defs.h>`
`#include <polybori/BoolePolynomial.h>`
`#include <polybori/BooleMonomial.h>`
`#include <polybori/BooleExponent.h>`
`#include <polybori/iterators/COrderedIter.h>`
`#include <polybori/except/PBoRiError.h>`
`#include <polybori/common/CCheckedIdx.h>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | polybori::COrderingBase

## Namespaces

| polybori

## Constant Groups

| polybori

## Detailed Description

Author
  Alexander Dreyer

Date
  2006-05-23

Defines base class for ordering management for polynomial rings.

Copyright:
  (c) 2006-2010 by The PolyBoRi Team